Generate document from template
import requests
url = "https://api.pdfshift.io/v3/templates/{slug}.{ext}"
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'}
};
fetch('https://api.pdfshift.io/v3/templates/{slug}.{ext}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pdfshift.io/v3/templates/{slug}.{ext}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.pdfshift.io/v3/templates/{slug}.{ext}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pdfshift.io/v3/templates/{slug}.{ext}"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}using RestSharp;
var options = new RestClientOptions("https://api.pdfshift.io/v3/templates/{slug}.{ext}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("X-API-Key", "<api-key>");
request.AddHeader("Content-Type", "application/json");
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.post("https://api.pdfshift.io/v3/templates/{slug}.{ext}")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.asString();curl --request POST \
--url https://api.pdfshift.io/v3/templates/{slug}.{ext} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>'{}{
"success": true,
"errors": {},
"code": 123
}{
"success": true,
"error": "<string>",
"code": 123
}{
"success": true,
"error": "<string>",
"code": 123
}{
"success": true,
"error": "<string>",
"code": 123
}{
"success": true,
"error": "<string>",
"code": 123
}Templates
Generate document from template
Generates a document from a template using provided data. Supported extensions: html, pdf, jpeg, png, webp.
POST
/
templates
/
{slug}
.
{ext}
Generate document from template
import requests
url = "https://api.pdfshift.io/v3/templates/{slug}.{ext}"
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'}
};
fetch('https://api.pdfshift.io/v3/templates/{slug}.{ext}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pdfshift.io/v3/templates/{slug}.{ext}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.pdfshift.io/v3/templates/{slug}.{ext}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pdfshift.io/v3/templates/{slug}.{ext}"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}using RestSharp;
var options = new RestClientOptions("https://api.pdfshift.io/v3/templates/{slug}.{ext}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("X-API-Key", "<api-key>");
request.AddHeader("Content-Type", "application/json");
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.post("https://api.pdfshift.io/v3/templates/{slug}.{ext}")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.asString();curl --request POST \
--url https://api.pdfshift.io/v3/templates/{slug}.{ext} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>'{}{
"success": true,
"errors": {},
"code": 123
}{
"success": true,
"error": "<string>",
"code": 123
}{
"success": true,
"error": "<string>",
"code": 123
}{
"success": true,
"error": "<string>",
"code": 123
}{
"success": true,
"error": "<string>",
"code": 123
}Authorizations
Path Parameters
Available options:
html, pdf, jpeg, png, webp Response
Generated document
The response is of type object.
⌘I